<div id="menuOrdenPreparacion">
	
    <?php if($estaIncompleta) { ?>
    <img id="botonSgteProducto" src="<?php echo DIR_IMAGENES; ?>/botones/play.png" alt="Siguiente producto por ubicación" class="icono continuar"/>
    <?php } else { ?>
    <img id="botonSgteProductoOff" src="<?php echo DIR_IMAGENES; ?>/botones/play-off.png" alt="Siguiente producto por ubicación" class="icono continuar"/>
    <?php } ?>
	
	<?php if($_SESSION['orden']['Estado']=='Iniciada') { ?>
    <img id="botonFinalizar" src="<?php echo DIR_IMAGENES; ?>/botones/stop.png" alt="Salir de este parte de preparación" class="icono"/>
    <?php } else { ?>
    <img id="botonFinalizarOff" src="<?php echo DIR_IMAGENES; ?>/botones/stop-off.png" alt="Salir de este parte de preparación" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['orden']['Estado']=='Iniciada') { ?>
    <img id="botonCancelar" src="<?php echo DIR_IMAGENES; ?>/botones/pause.png" alt="Pausar y volver al listado" class="icono"/>
    <?php } else { ?>
    <img id="botonCancelar" src="<?php echo DIR_IMAGENES; ?>/botones/back.png" alt="Volver al listado" class="icono"/>
    <?php } ?>
    
</div>

<script>

$(document).ready(function() {

	<?php if($mostrarInfo) { ?>
    $('#botonInfo').on("click",function(e){
		$('#popupCargando').show();
		window.location='<?php echo $rutaHtml; ?>/orden-preparacion-N.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>';
	});
    <?php } ?>

	<?php if($_SESSION['orden']['Estado']=='Iniciada') { ?>
	
	$('#botonFinalizar').on("click",function(e){
		e.preventDefault();
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-finalizar.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';	
		});
	});

	<?php } ?>
	
	$('#botonCancelar').on("click",function(e){
		e.preventDefault();
		window.location='<?php echo $rutaHtml; ?>/ordenes-preparacion.php';	
	});
	
});

</script>